import java.io.IOException;
import java.nio.charset.Charset;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.HashMap;
import java.util.Map;
import java.util.Scanner;
import java.util.TreeMap;

import javax.swing.JOptionPane;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;


public class Project4
{
	public static void main(String[] args) {
		//the filepath needs to be manually updated depending on the placement of the file and OS
		String filename="/Users/nirav/eclipse-workspace/Project3/boxes.txt";
                //String filename="boxes.txt";
		Scanner filescanner=null;

		String filecontent="";
		int size;
		int i=0;

		try {
			filecontent=readFile(filename,Charset.defaultCharset());
			String rows[]=filecontent.split("\n");
			size = rows.length;
                        
                        Map<Integer, Box> hashmap = new HashMap<>();
                        Map<Integer, Box> treemap = new TreeMap<>();

			while(i<size)
			{
                            try {
				String data[]=rows[i].trim().split(",");
				int l=Integer.parseInt(data[0]);
				int w=Integer.parseInt(data[1]);
				int h=Integer.parseInt(data[2]);
                                
				Box box = new Box(l,w,h);
                                
                                hashmap.put(box.getvolume(), box);                                
                                treemap.put(box.getvolume(), box);
                            } catch (IllegalBoxException e) {
                                System.out.println(e.getMessage());
                            }
                            
                            i++;
			}
                            
			BoxGUI boxGUI = new BoxGUI(hashmap, treemap);
                        boxGUI.show();

		} catch (IOException e) {
			System.out.println(e.getMessage());
		}
        }

	static String readFile(String path, Charset encoding)
			throws IOException
	{
		byte[] encoded = Files.readAllBytes(Paths.get(path));
		return new String(encoded, encoding);
	}
}

