public class Box
{
	private int length;
	private int width;
	private int height;

	public Box ()
    {
      
    }
	

	//constructor
	public Box (int l, int w, int h)
	{
		if(l < 1 || w < 1 || h < 1)
		{
			throw new IllegalBoxException("The measurement for the box are invalid ");
		}
		else 
		{
			this.length = l;
			this.width = w;
			this.height = h;
		}
	}

	//set length method
	public void setLength(int l)
	{
		if(l > 0)
		{
			this.length = l;
		}
		else
		{
			this.length = 1;
		}
	}

	//set width method
	public void setWidth(int w)
	{
		if(w > 0)
		{
			width = w;
		}
		else
		{
			width = 1;
		}
	}

	//set height method
	public void setHeight(int h)
	{
		if(h > 0)
		{
			height = h;
		}
		else
		{
			height = 1;
		}
	}

	//calculate volume method
	public int getvolume()
	{
		return length *width *height;
	}
	
	//get length method
	public int getLength()
	{
		return length;
	}
	//get width method
	public int getWidth()
	{
		return width;
	}
	//get height
	public int getHeight()
	{
		return height;
	}

	public String toString()
	{
		return String.format("L: %d, W: %d, H:%d (V: %d)",
				getLength(), getWidth(), getHeight(),getvolume());
	}
}

