import java.awt.GridLayout;
import java.util.Map;

import javax.swing.JFrame;

import javax.swing.JTextArea;

@SuppressWarnings("serial")
public class BoxGUI extends JFrame {
	private JTextArea leftTextArea=new JTextArea(10,10);
	private JTextArea rightTextArea=new JTextArea(10,10);

	public BoxGUI(Map<Integer, Box> hashmap, Map<Integer, Box> treemap) {


		setTitle("Box");
		setSize(350, 350);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setLayout(new GridLayout(1, 2,20,20));
		String data = "HASH MAP\n\n"; //Title for Unsorted Boxes
                
                for(Map.Entry<Integer, Box> entry : hashmap.entrySet()) {
                    data+= entry.getValue().toString() + "\n";
                }
                
		leftTextArea.setText(data);
		add(leftTextArea);
		rightTextArea.setEditable(false);
                
                data = "TREE MAP\n\n";
		for(Map.Entry<Integer, Box> entry : treemap.entrySet()) {
                    data+= entry.getValue().toString() + "\n";
                }
		rightTextArea.setText(data);
		add(rightTextArea);
		setVisible(true);
		pack();
	}
}

