
/**
 * <p>Title: IllegalBoxException Class</p>
 *
 * <p>Description: Exception Class for use by all Box classes</p>
 */

@SuppressWarnings("serial")
public class IllegalBoxException extends RuntimeException{
	/**
	 * Initializes an ElementNotFoundException storing an appropriate 
	 * message along with the type of the collection (as specified by the user).
	 */
	public IllegalBoxException (String collection)
	{
		super("The measurement for the box are invalid " + collection);
	}
}


